textures/icyspree/stratosphere
{
    qer_editorImage env/icyworld/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodamage
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_surfacelight 115
    q3map_lightSubdivide 256
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 135 270 45 2 16
    skyParms env/icyworld/stratosphere - -
}

textures/icyspree/q3a_glass_clear
{
	qer_editorimage textures/q3a_glass_clear.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm solid
	q3map_bounce .1	

	{
		map textures/icyspree/tinfx2b.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}



textures/icyspree/noobfilterspree
{
qer_editorImage textures/icyspree/noobfilterspree.jpg
surfaceparm nodamage
surfaceparm slick
surfaceparm nolightmap
{
map textures/icyspree/noobfilterspree.jpg
}
{
map $lightmap
blendFunc filter
}
}

textures/icyspree/noobfilterwall
{
    q3map_lightImage textures/icyspree/noobfilterwall.jpg
    qer_editorImage textures/icyspree/qer_tileblack_icy.tga 
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/icyunleashed/noobfilterwall.jpg
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/icyspree/noobfilterwall.jpg
        
    }
}


textures/icyspree/greenspree
{
qer_editorImage textures/icyspree/greenspree.tga
surfaceparm nodamage
surfaceparm slick
cull disable
{
map textures/icyspree/greenspree.tga
}
{
map $lightmap
blendFunc filter
}
}

textures/icyspree/greenspree1
{
qer_editorImage textures/icyspree/greenspree1.tga
surfaceparm nodamage
surfaceparm slick
cull disable
{
map textures/icyspree/greenspree1.tga
}
{
map $lightmap
blendFunc filter
}
}

textures/icyspree/noobfilterspree1
{
qer_editorImage textures/icyspree/noobfilterspree1.jpg
surfaceparm nodraw
surfaceparm slick
surfaceparm nodamage
surfaceparm playerclip
cull disable
{
map textures/icyspree/noobfilterspree1.jpg
}
{
blendFunc filter
}
}


textures/icyspree/noobfilterspree2
{
qer_editorImage textures/icyspree/noobfilterspree2.tga
surfaceparm nonsolid
surfaceparm nolightmap
surfaceparm noimpact
surfaceparm nomarks
{
map textures/icyspree/noobfilterspree2.tga
}
{
map $lightmap
blendFunc filter
}
}


textures/icyspree/spree
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip
	
	{
		map textures/icyspree/spree.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/icyspree/redspree
{
qer_editorImage textures/icyspree/redspree.tga
surfaceparm nodamage
surfaceparm slick
cull disable
{
map textures/icyspree/redspree.tga
}
{
map $lightmap
blendFunc filter
}
}


textures/icyspree/redspree1
{
qer_editorImage textures/icyspree/redspree1.tga
surfaceparm nodamage
surfaceparm slick
cull disable
{
map textures/icyspree/redspree1.tga
}
{
map $lightmap
blendFunc filter
}
}


textures/icyspree/purple3spree
{
qer_editorImage textures/icyspree/purple3spree.tga
surfaceparm nonsolid
surfaceparm nodamage
cull disable
{
map textures/icyspree/purple3spree.tga
}
{
map $lightmap
blendFunc filter
}
}


textures/icyspree/purple2spree
{
qer_editorImage textures/icyspree/purple2spree.tga
surfaceparm nodamage
surfaceparm slick
cull disable
{
map textures/icyspree/purple2spree.tga
}
{
map $lightmap
blendFunc filter
}
}


textures/icyspree/purplespree
{
qer_editorImage textures/icyspree/purplespree.tga
surfaceparm nodamage
surfaceparm slick
cull disable
{
map textures/icyspree/purplespree.tga
}
{
map $lightmap
blendFunc filter
}
}


textures/icyspree/1337
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip
	deformVertexes wave 5 sin 0 .9 0 .9

	{
		map textures/icyspree/1337.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}





textures/icyspree/grijs
{
    qer_editorImage textures/icyspree/grijs.jpg
    surfaceparm detail
    surfaceparm nonsolid
    surfaceparm nodamage
    surfaceparm slick
    cull disable
    {
        map $lightmap
    }
    {
        map textures/icyspree/grijs.jpg
        blendFunc filter
    }
}




textures/icyspree/bluespree
{
    qer_editorImage textures/icyspree/bluespree.jpg
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyspree/bluespree.jpg
        blendFunc filter
    }
}


textures/icyspree/nodrawnonsolid
{
    qer_editorImage textures/icyspree/nodrawnonsolid.jpg
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/icyspree/nodrawnonsolid.jpg
        blendFunc filter
    }
}


textures/icyspree/icy
{
    q3map_lightImage textures/icyspree/glass_radiosity.tga
    qer_editorImage textures/icyspree/icy.jpg
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/icyspree/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

